org.richfaces.component

## Enum UITogglePanelItem.Properties

- java.lang.Object
- - java.lang.Enum<UITogglePanelItem.Properties>
  - - org.richfaces.component.UITogglePanelItem.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UITogglePanelItem.Properties>
  Enclosing class:
    UITogglePanelItem

      protected static enum UITogglePanelItem.Properties
      extends Enum<UITogglePanelItem.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `converter`
    `dir`
    `lang`
    `onclick`
    `ondblclick`
    `onenter`
    `onleave`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `style`
    `styleClass`
    `title`
    `value`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UITogglePanelItem.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UITogglePanelItem.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### converter

          public static final UITogglePanelItem.Properties converter

    - #### dir

          public static final UITogglePanelItem.Properties dir

    - #### lang

          public static final UITogglePanelItem.Properties lang

    - #### onclick

          public static final UITogglePanelItem.Properties onclick

    - #### ondblclick

          public static final UITogglePanelItem.Properties ondblclick

    - #### onenter

          public static final UITogglePanelItem.Properties onenter

    - #### onleave

          public static final UITogglePanelItem.Properties onleave

    - #### onmousedown

          public static final UITogglePanelItem.Properties onmousedown

    - #### onmousemove

          public static final UITogglePanelItem.Properties onmousemove

    - #### onmouseout

          public static final UITogglePanelItem.Properties onmouseout

    - #### onmouseover

          public static final UITogglePanelItem.Properties onmouseover

    - #### onmouseup

          public static final UITogglePanelItem.Properties onmouseup

    - #### style

          public static final UITogglePanelItem.Properties style

    - #### styleClass

          public static final UITogglePanelItem.Properties styleClass

    - #### title

          public static final UITogglePanelItem.Properties title

    - #### value

          public static final UITogglePanelItem.Properties value

  - ### Method Detail

    - #### values

          public static UITogglePanelItem.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UITogglePanelItem.Properties c : UITogglePanelItem.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UITogglePanelItem.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.